प्रमाणीकरण
बेअरर टोकन म्हणून API की पाठवा. या एंडपॉईंटने स्पष्टीकरणामध्ये ठराविक परवानगी नमूद केलेली नाही, त्यामुळे तुमच्या कीला आवश्यक तेवढाच कमीत कमी ॲक्सेस द्या आणि गृहीत धरण्याऐवजी प्रतिसाद तपासा.
या एंडपॉइंटला कोणतीही संस्था आयडी (organisation id) लागत नाही. तुमची की (key) आधीच ती कोणत्या संस्थेशी संबंधित आहे हे ओळखते आणि प्रतिसाद त्यानुसार मर्यादित केला जातो.
प्रयत्न करा
कोनसांस्कृतिक कंसात (<>) असलेली कोणतीही गोष्ट तुमच्या स्वतःच्या मूल्यांनी बदला आणि key प्लेसहोल्डरला तुमच्या डॅशबोर्डवरील किने बदला.
curl -X GET https://api.zinndigital.com/v1/carts/{cartId} \
-H "Authorization: Bearer zdk_live_…"साइन इन केलेले आहे? तुमच्या डॅशबोर्डमधील API कन्सोल तुमची खरी संस्था आयडी आणि तुमची स्वतःची की आपोआप भरतो आणि लाइव्ह API विरुद्ध विनंती कार्यान्वित करतो जेणेकरून तुम्हाला वास्तविक प्रतिसाद पाहता येईल. एपी कन्सोलमध्ये हा एंडपॉइंट उघडा
तपशील
Returns the cart with its lines re-priced from the live catalog and its pre-tax totals.
पॅरामीटर्स
| नाव | प्रकार | आवश्यक | हे काय आहे |
|---|---|---|---|
cartId (path) | Uuid | होय | The cart's id. |
प्रतिसाद
| नाव | प्रकार | आवश्यक | हे काय आहे |
|---|---|---|---|
id | Uuid | होय | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
org_id | Uuid | होय | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
status | string<open, checking_out, converted, abandoned, expired> | होय | — |
currency | CurrencyCode | null | नाही | Fixed when the cart is opened, from `CartCreate.currency` or the `X-Zinn-Currency` header, and then locked — every line must match it. Null only on a legacy cart created before… |
product_line | object | नाही | — |
lines | CartLine[] | होय | — |
subtotal | MoneyAmount | होय | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
discount | MoneyAmount | होय | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
total | MoneyAmount | होय | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
created_at | string | होय | — |
updated_at | string | नाही | — |
ही एंडपॉइंट परत करू शकेल अशा त्रुटी
401 · 403 · 404 · 429